/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package guess;

import java.util.Locale;
import java.util.ResourceBundle;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;

/**
 *
 * @author loic
 */
@ManagedBean
@SessionScoped
public class LoicBean {

    int devinette;
    int essais;
    int utilisateur;
    String phrase;
    Locale locale;
    ResourceBundle bundle;

    /**
     * Creates a new instance of LoicBean
     */
    public LoicBean() {
        nouvelleDevinette();
        utilisateur = 0;
        phrase = "phrase.bienvenue";
        locale = FacesContext.getCurrentInstance().getViewRoot().getLocale();
        bundle = ResourceBundle.getBundle("messages", locale);
    }

    public String getLocale() {
        return locale.toString();
    }

    private void nouvelleDevinette() {
        devinette = (int) (Math.random() * 99) + 1;
        essais = 0;
    }

    public int getEssais() {
        return essais;
    }

    public String getPhrase() {
        String retour;

        switch (phrase) {
            case "phrase.petit":
            case "phrase.grand":
                retour = utilisateur + " " + bundle.getString(phrase);
                break;
            default:
                retour = bundle.getString(phrase);
        }
        return retour;
    }

    public int getUtilisateur() {
        return utilisateur;
    }

    public void setUtilisateur(int utilisateur) {
        this.utilisateur = utilisateur;
    }

    public String comparer() {
        ++essais;
        if (utilisateur < devinette) {
            phrase = "phrase.petit";
        } else if (utilisateur > devinette) {
            phrase = "phrase.grand";
        } else {
            phrase = "phrase.fin";
            nouvelleDevinette();
        }
        return "index";
    }

    public String recommencer() {
        FacesContext.getCurrentInstance().getExternalContext().invalidateSession();
        return "index";
    }

    public String setLocale(String lang) {
        locale = new Locale(lang);
        FacesContext.getCurrentInstance().getViewRoot().setLocale(locale);
        bundle = ResourceBundle.getBundle("messages", locale);
        return "index";
    }
}
